
Foreman - Bug #4287

Template associations on HG & Env is broken

02/06/2014 06:23 PM - Greg Sutcliffe

Status: Closed   

Priority: Normal   

Assignee: Greg Sutcliffe   

Category: Unattended installations   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Seems like the template associations are using OR instead of AND.

reproduce:

Ensure you have an os which can be provisioned, create a new host, use the OS, click Resolve Templates, see the default

finish template

Create a new finish template, associate it to a specific env & hg

Create a new host, assign the OS, HG, and env. Observe Resolve templates correctly showing the new template will be used

Change the env and resolve again, the output still shows the new template (despite the env not matching)

Change the HG and resolve again, the output now correctly goes back to the default finish template

Related issues:

Has duplicate Foreman - Bug #5717: Provisioning template selection issue Duplicate 05/14/2014

Associated revisions

Revision 1443ec13 - 05/01/2014 03:47 PM - Greg Sutcliffe

Fixes #4287 - Join directly to template_combinations when resolving templates

Revision 0412ca1f - 05/07/2014 11:55 AM - Greg Sutcliffe

Fixes #4287 - Join directly to template_combinations when resolving templates

(cherry picked from commit 1443ec139bdb0a31faeef80f6c177d4f30fa4bdb)

History

#1 - 04/29/2014 04:48 PM - Greg Sutcliffe

- translation missing: en.field_release set to 4

#2 - 04/29/2014 05:49 PM - Dominic Cleal

- Target version set to 1.8.3

#3 - 04/30/2014 11:28 AM - Greg Sutcliffe

- Assignee set to Greg Sutcliffe

#4 - 04/30/2014 11:43 AM - Dominic Cleal

- Status changed from New to Assigned

#5 - 04/30/2014 12:09 PM - Dominic Cleal

- Status changed from Assigned to Ready For Testing

https://github.com/theforeman/foreman/pull/1415
#6 - 05/01/2014 04:31 PM - Greg Sutcliffe

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 1443ec139bdb0a31faeef80f6c177d4f30fa4bdb.

#7 - 05/14/2014 02:16 PM - Dominic Cleal

- Has duplicate Bug #5717: Provisioning template selection issue added
